Package edu.msu.cme.rdp.multicompare

# Class MCSample

java.lang.Object
edu.msu.cme.rdp.multicompare.MCSample

Direct Known Subclasses:
  `MCSampleResult`

public class MCSample extends Object

## Constructor Summary

Constructors
Constructor
Description
`MCSample(edu.msu.cme.rdp.readseq.readers.SeqReader reader, String name)`
`MCSample(File f)`
`MCSample(File sampleFile, File dupCountFile)`
`MCSample(File in, String sampleName)`
`MCSample(String sampleName)`
`MCSample(String sampleName, File dupCountFile)`
`MCSample(List<ClassifierSequence> sampleSeqs, String sampleName)`
`MCSample(List<ClassifierSequence> sampleSeqs, String sampleName, File dupCountFile)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addRankCount(ClassificationResult result)`
`Map<String,int[]>`
`getBootstrapCountTable()`
`static int`
`getBootstrapIndex(double d)`
`int`
`getDupCount(String seqName)`
`ClassifierSequence`
`getNextSeq()`
`String`
`getSampleName()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MCSample

public MCSample(edu.msu.cme.rdp.readseq.readers.SeqReader reader, String name)

### MCSample

public MCSample(File f) throws IOException

Throws:
  `IOException`

### MCSample

public MCSample(String sampleName)

### MCSample

public MCSample(String sampleName, File dupCountFile) throws IOException

Throws:
  `IOException`

### MCSample

public MCSample(List<ClassifierSequence> sampleSeqs, String sampleName)

### MCSample

public MCSample(List<ClassifierSequence> sampleSeqs, String sampleName, File dupCountFile) throws IOException

Throws:
  `IOException`

### MCSample

public MCSample(File in, String sampleName) throws IOException

Throws:
  `IOException`

### MCSample

public MCSample(File sampleFile, File dupCountFile) throws IOException

Throws:
  `IOException`

## Method Details

### getSampleName

public String getSampleName()

### getNextSeq

public ClassifierSequence getNextSeq() throws IOException

Throws:
  `IOException`

### getDupCount

public int getDupCount(String seqName)

### addRankCount

public void addRankCount(ClassificationResult result)

### getBootstrapIndex

public static int getBootstrapIndex(double d)

### getBootstrapCountTable

public Map<String,int[]> getBootstrapCountTable()

### toString

public String toString()

Overrides:
  `toString` in class `Object`